### Method

# Hinawa FwFcp command_with_tstamp

since: 2.6

#### Declaration [src]

    gboolean
    hinawa_fw_fcp_command_with_tstamp (
      HinawaFwFcp* self,
      const guint8* cmd,
      gsize cmd_size,
      guint* tstamp,
      guint timeout_ms,
      GError** error
    )

#### Description [src]

Transfer command frame for FCP. When receiving response frame for FCP, `HinawaFwFcp::responded` signal is emitted.

Each value of `tstamp` is unsigned 16 bit integer including higher 3 bits for three low order bits of second field and the rest 13 bits for cycle field in the format of IEEE 1394 CYCLE_TIMER register.

If the version of kernel ABI for Linux FireWire subsystem is less than 6, each element of `tstamp` has invalid value (=G_MAXUINT16).

Available since: 2.6

#### Parameters

`cmd`

  Type: An array of `guint8`

  An array with elements for request byte data. The value of this argument should point to the array and immutable.

  The length of the array is specified in the `cmd_size` argument.
  The data is owned by the caller of the method.

`cmd_size`

  Type: `gsize`

  The size of array for request in byte unit.

`tstamp`

  Type: An array of `guint`

  The array with two elements for time stamps. The first element is for the isochronous cycle at which the request arrived. The second element is for the isochronous cycle at which the response was sent.

  The argument will be set by the function.
  The array must have 2 elements.
  The returned data is owned by the instance.

`timeout_ms`

  Type: `guint`

  The timeout to wait for response subaction of transaction for command frame.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.